Bug 141605 - ide-scsi spin-lock bug
ide-scsi spin-lock bug
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 09:21 EST by Rolf Fokkens
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2004-12-02 09:21:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Twice the following happend:

After having burnt a CD-RW with audio tracks
(cdrecord-2.01.1-0.FC2.1), burning the same tracks on a CD-R fails.
The kernel reports the following in syslog:

hdd: lost interrupt
drivers/scsi/ide-scsi.c:418: spin_lock(drivers/scsi/hosts.c:207e4834)
already locked by drivers/scsi/scsi_error.c/732
drivers/scsi/scsi_error.c:734:
spin_unlock(drivers/scsi/hosts.c:207e4834) not locked
ide-scsi: No active request in idescsi_eh_reset
scsi: Device offlined - not ready after error recovery: host 2 channel
0 id 0 lun 0
SCSI error: host 2 id 0 lun 0 return code = 6000000
        Sense class 0, sense error 0, extended sense 0

The device is a LG GSA-4120B CD/DVD writer.

No other attempts were made to burn a CD-RW first and a CD-R next on
this kernel version. for sure 2.4 kernels didn't have these problems.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.3_FC2

How reproducible:
Always

Steps to Reproduce:
1. Burn a CD-RW with audio tracks
2. burn a CD-R with the same audio tracks
    

Actual Results:  cdrecord fails, but the error initial message
scrolled out because of a certain message thats repeated for ever and
ever. I wasn' table to record any of these messages.

A Linux reboot was required to burn CD-R again.

Additional info:
Comment 1 Rolf Fokkens 2004-12-02 17:27:27 EST
No it failed also just after burning another CD-R.

cdrecord output:

Performing OPC...
Starting new track at sector: 0
Track 01:    0 of   36 MB written.cdrecord: Input/output error.
write_g1: scsi sendcmd: no error
CDB:  2A 00 00 00 00 1B 00 00 1B 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 10 2A 30 02 80 21 02 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x21 Qual 0x02 (invalid address for write) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.003s timeout 40s
Comment 2 Dave Jones 2005-04-16 00:41:19 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.